package com.xypower.common;

import android.content.Context;
import android.os.Environment;

import java.io.File;

public class MicroPhotoContext {

    public static final String PACKAGE_NAME_MPAPP = "com.xypower.mpapp";
    public static final String PACKAGE_NAME_MPMASTER = "com.xypower.mpmaster";
    public final static String MASTER_URL = "http://180.166.218.222:40101/?cmdid=";

    public static String buildAppDir(Context contxt) {

        File path = new File(Environment.getExternalStorageDirectory(), contxt.getPackageName() + "/");

        if (!path.exists() && !path.mkdirs()) {
            return null;
        }
        String p = path.getAbsolutePath();
        if (!p.endsWith(File.separator)) {
            p += File.separator;
        }
        return p;
    }
}
